<div class="row" [formGroup]="filterForm">
    <div class="col-xs-12 col-sm-3 pr-1">
        <app-select-search [formGroup]="filterForm" [controlName]="'idCountry'"
            [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.country'" [items]="countries" (changeItem)="onCountryChange($event)" (search)="getCountriesForFilters($event)" class="dashboard"></app-select-search>
    </div>
    <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
        <app-select-search [formGroup]="filterForm" [controlName]="'idCity'"
            [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.city'" [items]="cities" (changeItem)="onCityChange($event)" (search)="getCitiesForFilters(filterForm.get('idCountry').value, $event)" class="dashboard"></app-select-search>
    </div>
    <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
        <app-select-search [formGroup]="filterForm" [controlName]="'idNeighborhood'"
            [bindValue]="'id'" [bindLabel]="'name'" [placeholder]="'forms.fields.neighborhood'" [items]="neighborhoods" (search)="getNeighborhoodsForFilters(filterForm.get('idCity').value, $event)" class="dashboard"></app-select-search>
    </div>
    <div class="col-xs-12 col-sm-3 pl-xs-1 pl-xs-1 pr-1">
        <button type="submit" class="btn btn-filter font-small-2 px-5 mt-1" (click)="applyFilters()">{{ 'forms.buttons.filter' | translate}}</button>
    </div>
</div>

<ngb-tabset [justify]="'start'" [class]="'list mt-2 d-block'">
    <ngb-tab>
        <ng-template ngbTabTitle>
            <i class='fas fa-list-ul font-small-3'></i>
        </ng-template>
        <ng-template ngbTabContent>
            <app-table-layout *ngIf="listResults" [tableTitle]="tableTitle" [records]="listResults.data['rows']" [tableActions]="tableActions" [columnSettings]="columnSettings" [showButtonAdd]="false" [perPage]="10" [totalRecords]="0" [pageNumber]="1">
                    <button class="btn btn-sm btn-raised btn-secondary text-white float-right font-small-2 cursor-pointer py-1 my-1 ml-1" (click)="removeCase()">{{ 'forms.buttons.removeCases' | translate }} <i class="fas fa-minus text-white pl-1"></i></button>
                <button class="btn btn-sm btn-raised btn-secondary text-white float-right font-small-2 cursor-pointer py-1 my-1" (click)="addCase()">{{ 'forms.buttons.addCases' | translate }} <i class="fas fa-plus text-white pl-1"></i></button>
            </app-table-layout>
        </ng-template>
    </ngb-tab>
    <ngb-tab>
        <ng-template ngbTabTitle>
            <i class='fas fa-map-marked-alt font-small-3'></i>
        </ng-template>
        <ng-template ngbTabContent>
            <app-map [showLoader]="showLoader" [polygons]="polygons" [markers]="markers" [latitude]="mapLat" [longitude]="mapLng" [zoom]="mapZoom" (boundsChange)="onBoundsChange($event)"></app-map>
        </ng-template>
    </ngb-tab>
</ngb-tabset>
<app-log *ngIf="logs.length" [title]="('modules.caseRecord.dashboard.log' | translate) + ' ' + logLocationName" [logs]="logs"></app-log>